Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:           perl-HTTP-Soup
Version:        0.01
Release:        alt7_33
Summary:        HTTP client/server library for GNOME
License:        LGPLv2 or Artistic 2.0
URL:            https://metacpan.org/release/HTTP-Soup
Source0:        https://cpan.metacpan.org/authors/id/P/PO/POTYL/HTTP-Soup-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  libsoup-devel libsoup-gir-devel libsoup-gnome-devel libsoup-gnome-gir-devel
BuildRequires:  perl-devel
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(DynaLoader.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(ExtUtils/Depends.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(ExtUtils/PkgConfig.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(Glib.pm)
BuildRequires:  perl(Glib/CodeGen.pm)
BuildRequires:  perl(Glib/MakeHelper.pm)
BuildRequires:  perl(Glib/Object/Introspection.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(warnings.pm)
Requires:       perl(Glib.pm) >= 1.0
Source44: import.info
%filter_from_requires /:__requires_exclude\|}^perl(Glib.pm)/d

%description
This module provides the Perl bindings for the C library libsoup.

%prep
%setup -q -n HTTP-Soup-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{makeinstall_std}
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
%{make_build} test

%files
%doc Changes COPYING README
%{perl_vendor_archlib}/auto/*
%{perl_vendor_archlib}/HTTP*

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.01-alt7_33
- update to new release by fcimport

* Wed Nov 29 2023 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt7_31
- rebuild to get rid of unmets

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.01-alt6_31
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.01-alt6_29
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.01-alt6_28
- update to new release by fcimport

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 0.01-alt6_27
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.01-alt6_26
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.01-alt6_25
- update to new release by fcimport

* Thu Jul 08 2021 Igor Vlasenko <viy@altlinux.org> 0.01-alt6_24
- update to new release by fcimport

* Wed Jun 16 2021 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt6_23
- rebuild to get rid of unmets

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.01-alt5_23
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.01-alt5_22
- update to new release by fcimport

* Fri Dec 25 2020 Igor Vlasenko <viy@altlinux.ru> 0.01-alt4_22
- update to new release by fcimport

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.01-alt4_21
- rebuild with perl 5.30

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.01-alt3_21
- update to new release by fcimport

* Mon Jul 06 2020 Igor Vlasenko <viy@altlinux.ru> 0.01-alt3_20
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.01-alt3_19
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.01-alt3_18
- update to new release by fcimport

* Mon Jun 17 2019 Igor Vlasenko <viy@altlinux.ru> 0.01-alt3_17
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.01-alt3_16
- update to new release by fcimport

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt3_15
- rebuild to get rid of unmets

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt2_15
- rebuild to get rid of unmets

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1_15
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1_14
- update to new release by fcimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1_13
- new version

